For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Trebellar Platform
DocsGuidesAPI Reference
DocsGuidesAPI Reference
  • API Reference
    • Introduction
  • API Resources
      • POSTAdd cost lines in batch
      • GETList normalized costs
      • DELDelete cost line
      • PATCHUpdate a cost line
      • POSTBind a cost line to an asset(s)
      • POSTUnbind a cost line to an asset(s)
      • GETList Cost Categories
      • GETGet Cost Category
      • DELDelete Cost Category
      • PATCHUpdate Cost Category
      • POSTAdd Cost Category
Trebellar Platform
LogoLogo
API ResourcesCosts

Unbind a cost line to an asset(s)

||View as Markdown|
POST
https://api.trebellar.app/api/v2/costs/line/:id/unbind
POST
/api/v2/costs/line/:id/unbind
1import { TrebellarApiClient } from "@trebellar/api-sdk";
2
3async function main() {
4 const client = new TrebellarApiClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.costs.unbindCostLine("id", {
8 assetIds: [
9 "eid:sfo_001",
10 ],
11 });
12}
13main();
1{
2 "data": {}
3}
Was this page helpful?
Previous

Bind a cost line to an asset(s)

Next

List Cost Categories

Built with

Authentication

X-Trebellar-Api-Keystring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

Request

This endpoint expects an object.
assetIdslist of stringsRequired

Response

Cost line bound successfully
dataobject

Errors

400
Bad Request Error
500
Internal Server Error